<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <ul>
      <li>Элемент 1</li>
      <li id='new' >Элемент 2</li>
      <li>Элемент 3</li>
      <li id='old' >Элемент 4</li>
      <li>Элемент 5</li>
    </ul>
    <script>
        // $('#new').nextAll().css('font-weight', 'bold')
        $('ul>li').eq(1).css('font-weight', 'bold');
        $('ul>li').not('#old').css('color', 'blue');
    </script>
</body>
</html>